@charset "UTF-8";
*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body{
  background: #fff;
  backdrop-filter: none;
  width: 100%;
}
.container {
    display: grid;
    grid-template: "main aside" 1fr /68% 32%;
    max-width: 1300px;
    margin: 0 auto;
    width: 98%;
}

#topbutton {
  /* ▼ボタンの表示位置を画面の右下に固定 */
  position: fixed; /* ←表示場所を固定 */
  bottom: 10px; /* ←下端からの距離 */
  right: 30px; /* ←右端からの距離 */

  /* ▼最初は非表示にしておく */
  /* display: none; */

  /* ▼配色・配置・文字の装飾など */
  background-color: #2525aa; /* ←背景色 */

  border-radius: 24px; /* ←角丸の半径 */
  text-align: center; /* ←文字の位置 */
  font-size: 110%; /* ←文字サイズ */
  font-weight: bold; /* ←文字の太さ */
  margin: 0px; /* ←外側の余白 */
  padding: 10px; /* ←内側の余白 */
  z-index: 10000;
  opacity: 0;
}
#topbutton a {
  /* ▼リンクの装飾 */
  color: white; /* ←文字色 */
  text-decoration: none; /* ←下線なし */
}
#topbutton a:hover {
  /* ▼マウスが載ったときの装飾 */
  color: yellow; /* ←文字色 */
  text-decoration: underline; /* ←下線あり */
}

/* パンくずリスト */
.breadcrumb {
  margin: 0;
  padding: 0;
  list-style: none;
}

.breadcrumb li {
  display: inline-block; /*横に並ぶように*/
  list-style: none;
  font-weight: bold; /*太字*/
}

.breadcrumb a:after {
  /* ▶を表示*/
  font-family: FontAwesome;
  content: "\f0da";
  padding: 0 0.2em;
  color: silver;
}

.breadcrumb li:last-child a:after {
  content: "";
}

.breadcrumb li a {
  text-decoration: none;
  color: #888;
}

.breadcrumb li:first-child a:before {
  /*家アイコン*/
  font-family: FontAwesome;
  content: "\f015";
  font-weight: normal;
  font-size: 1.1em;
  color: #f3948f;
}

.breadcrumb li a:hover {
  text-decoration: underline;
  border: none;
}

.content-wrapper{
  padding: 30px;
}
.index{
  position: absolute;
  top: 0px;
  left: -100%;
  width: 350px;
  height: 100vh;
  background: rgba(51, 51, 51, 0.850);
  padding: 80px 20px;
  color: #fff;
  transition: .5s ease;
  overflow-y: scroll;
}
.index.active{
  position: fixed;
  left: 0;
}

#icon {
  color: white;
  font-size: 30px;
  line-height: 80px;
  float: left;
  margin-left: 40px;
  cursor: pointer;
}
.menuBtn {
  display: block;
  height: 60px;
  width: 60px;
  /* background-color: pink; */
  position: fixed;
  top: 60px;
  left: 0;
  padding: 0;
  margin: 10px;
  background-color: #34495e4d;
  z-index: 1000;
}
.menuBtn div {
  height: 4px;
  width: 60%;
  background-color:white;
  position: absolute;
  border-radius: 5px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 0.3s;
}
.menuBtn div:nth-of-type(1) {
  transform: translate(-50%, -17px);
}

.menuBtn div:nth-of-type(3) {
  transform: translate(-50%, 14px);
}
.menuBtn.active div:nth-of-type(1) {
  transform: rotate(45deg) translate(-50%, 0px);
  transform-origin: 0% 50%;
}
.menuBtn.active div:nth-of-type(2) {
opacity: 0;
}
.menuBtn.active div:nth-of-type(3) {
  transform: rotate(-45deg) translate(-50%, 0px);
  transform-origin: 0% 50%;
}
h1{
  background: #333;
  margin: 1rem auto;
  padding: 10px;
  color: #fff;
  text-align: center;
  width: 95%;
}
.index h2{
  padding: 10px;
  margin-bottom: 29px;
  font-size: 20px;
  text-align: center;
  border: 1px solid #fff;
  border-radius: 7px;
}
#indexN1, #indexN2, #indexN3{
  margin-bottom: 30px;
}
.index a{
  text-decoration: none;
  color: #fff;
}
.index li{
  position: relative;
  list-style: none;
  margin: 15px 0;
  padding-left: 15px;
  font-family: 'Courier New', Courier, monospace;
}
.index li::before{
  content: "○";
  position: absolute;
  top: -2px;
  left: -5px;
}
h1{
  background: #333;
  margin: 1rem auto;
  padding: 10px;
  color: #fff;
  text-align: center;
  width: 95%;
}
.select-wrapper{
  max-width: 700px;
  width: 100%;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  padding: 30px;
}
.select-wrapper select{
  font-size: 1.2rem;
  padding: .2rem .5rem;
  margin: 5px;
  width: 100%;
  max-width: 450px;
}

.select-wrapper button{
  width: 230px;
  margin-bottom: 20px;
  padding: .5rem 1rem;
  font-weight: bold;
}

.red{
  color: red;
  font-weight: bold;
}

table {
  max-width: 700px;
  width: 100%;
  color: #333; /* 全体の文字色 */
  background-color: #fff; /* 全体の背景色 */
  margin: 0 auto;
  margin-bottom: 50px;
}
th,
td {
  padding: 10px 15px 5px;
  border: solid 1px #0484df;
}
th {
  width: 65px;
  color: #0d90f3; /* 見出しの文字色 */
  background-color: #d0ebfd; /* 見出しの背景色 */
}
.word {
  font-size: 1.5rem;
  font-weight: bold;
}
.jp {
  font-weight: 500;
}
.ch {
  color: #777;
  background: #f9fafe;
  font-family: "微软雅黑", "宋体";
}
li .sub{
  color: rgb(217, 216, 216);
  font-size: .9rem;
}
.word .sub{
  font-size: 1.2rem;
  font-weight: 100;
  color: #777;
}
@media (max-width: 970px) {
  .container {
    display: grid;
    grid-template:
      "main"
      "aside";
  }
}
@media (max-width: 480px) {
  h1{
    font-size: 20px;
  }
  .content-wrapper{
    padding: 5px;
  }
  .select-wrapper{
    padding: 5px;
    width: 365px;
  }
  input{
    width: 98%;
  }
  .word {
    font-size: 1.2rem;
  }
}
